Package de.willuhn.jameica.hbci.passports.rdh

# Class RDHNewDump

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.RDHNewDump

public class RDHNewDump extends Object
Kleine dreckige Testklasse, um eine HBCI4Java-Schluesseldatei zu entschluesseln und den XML-Inhalt unverschluesselt auf die Console zu schreiben. Das Tool dient nur zu Debugging-Zwecken, um mal nachschauen zu koennen, was genau in der Schluesseldatei drin steht. Der Code ist aus "HBCIPassportRDHNew" (HBCI4Java) zusammenkopiert. Aufruf: `java -cp hbci4java-....jar \ de.willuhn.jameica.hbci.passports.rdh.RDHNewDump \ <Schluesseldatei> <Passwort>`

## Constructor Summary

Constructors
Constructor
Description
`RDHNewDump()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDHNewDump

public RDHNewDump()

## Method Details

### main

public static void main(String[] args) throws Exception

Parameters:
  `args` -
Throws:
  `Exception`